<?php

add_action('init','of_options');

if (!function_exists('of_options'))
{
	function of_options()
	{
		//Access the WordPress Categories via an Array
		$of_categories 		= array();  
		$of_categories_obj 	= get_categories('hide_empty=0');
		foreach ($of_categories_obj as $of_cat) {
		    $of_categories[$of_cat->cat_ID] = $of_cat->cat_name;}
		$categories_tmp 	= array_unshift($of_categories, "Select a category:");    
	       
		//Access the WordPress Pages via an Array
		$of_pages 			= array();
		$of_pages_obj 		= get_pages('sort_column=post_parent,menu_order');    
		foreach ($of_pages_obj as $of_page) {
		    $of_pages[$of_page->ID] = $of_page->post_name; }
		$of_pages_tmp 		= array_unshift($of_pages, "Select a page:");       
	
		//Testing 
		$of_options_select 	= array("one","two","three","four","five"); 
		$of_options_radio 	= array("one" => "One","two" => "Two","three" => "Three","four" => "Four","five" => "Five");
		
		//Sample Homepage blocks for the layout manager (sorter)
		$of_options_homepage_blocks = array
		( 
			"disabled" => array (
				"placebo" 		=> "placebo", //REQUIRED!
				"block_one"		=> "Block One",
				"block_two"		=> "Block Two",
				"block_three"	=> "Block Three",
			), 
			"enabled" => array (
				"placebo" 		=> "placebo", //REQUIRED!
				"block_four"	=> "Block Four",
			),
		);

 
	
		/*-----------------------------------------------------------------------------------*/
		/* TO DO: Add options/functions that use these */
		/*-----------------------------------------------------------------------------------*/
		
		//More Options
		$uploads_arr 		= wp_upload_dir();
		$all_uploads_path 	= $uploads_arr['path'];
		$all_uploads 		= get_option('of_uploads');
		$other_entries 		= array("Select a number:","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19");
		$body_repeat 		= array("no-repeat","repeat-x","repeat-y","repeat");
		$body_pos 			= array("top left","top center","top right","center left","center center","center right","bottom left","bottom center","bottom right");
		
		$imgs_url = get_template_directory_uri().'/images/';
		$imgs_url_demo = get_template_directory_uri().'/demo';



// Set the Options Array
global $of_options;
$of_options = array();
 

 

/*-----------------------------------------------------------------------------------*/
/* Header Settings */
/*-----------------------------------------------------------------------------------*/

$of_options[] = array( 	"name" 		=> esc_html__( 'General Settings', 'vloma-wp' ),
						"type" 		=> "heading",
						"icon"		=> ADMIN_IMAGES . "icon-header.png"
				);


$of_options[] = array( 	"name" 		=> "",
						"desc" 		=> "",
						"id" 		=> "introduction_7",
						"std" 		=> "<h3 style=\"margin: 0 0 10px;\">". esc_html__('Custom Logo.', 'vloma-wp') ."</h3>
						". esc_html__('Upload a custom logo image for your site.', 'vloma-wp') ."",
						"icon" 		=> true,
						"type" 		=> "info");

$of_options[] = array( 	"name" 		=> esc_html__( 'Custom Logo.', 'vloma-wp' ),
						"desc" 		=> esc_html__('Upload a custom logo image for your site here. Size for height should be 90px or bigger for retina screens.', 'vloma-wp'),
						"id" 		=> "vloma_wp_logo",
						"std" 		=> $imgs_url.'logo.png',
						"type" 		=> "upload");


$of_options[] = array( 	"name" 		=> esc_html__( 'Header Social Icons', 'vloma-wp' ),
						"desc" 		=> "",
						"id" 		=> "introduction_social",
						"std" 		=> "<h3 style=\"margin: 0 0 10px;\">". esc_html__('Header Social Icons.', 'vloma-wp') ."</h3>
						<strong>". esc_html__('Social Icons', 'vloma-wp') ."</strong> ". esc_html__('- Header Social Icons.', 'vloma-wp') ."",
						"icon" 		=> true,
						"type" 		=> "info");

$of_options[] = array( 	"name" 		=> esc_html__( 'Social Icons.', 'vloma-wp' ),
						"desc" 		=> "". esc_html__('You can use HTML code. For more social icons go to', 'vloma-wp') ." <a href=\"http://fontawesome.io/icons/\" target=\"_blank\">Font Awesome</a> ". esc_html__('and at the bottom you have Brand Icons!', 'vloma-wp') ."",
						"id" 		=> "vloma_wp_top_social_icons",
						"std" 		=> "
<li><a href=\"#\"><i class=\"fa fa-facebook\"></i></a></li>
<li><a href=\"#\"><i class=\"fa fa-twitter\"></i></a></li>
<li><a href=\"#\"><i class=\"fa fa-pinterest\"></i></a></li>
<li><a href=\"#\"><i class=\"fa fa-instagram\"></i></a></li>
",
						"type" 		=> "textarea");	



/*-----------------------------------------------------------------------------------*/
/* Blog Settings */
/*-----------------------------------------------------------------------------------*/
$of_options[] = array( 	"name" 		=> esc_html__( 'Blog Settings', 'vloma-wp' ),
						"type" 		=> "heading",
						"icon"		=> ADMIN_IMAGES . "icon-home.png"
				);

$of_options[] = array( 	"name" 		=> esc_html__( 'Header Slider', 'vloma-wp' ),
						"desc" 		=> "",
						"id" 		=> "introduction_slider",
						"std" 		=> "<h3 style=\"margin: 0 0 10px;\">". esc_html__('Slider, top viewed posts.', 'vloma-wp') ."</h3>
						<strong>". esc_html__('Slider', 'vloma-wp') ."</strong> ". esc_html__(' - top viewed posts.', 'vloma-wp') ."",
						"icon" 		=> true,
						"type" 		=> "info");

$of_options[] = array( 	"name" 		=> esc_html__( 'Display Slider?', 'vloma-wp' ),
						"desc" 		=> esc_html__( 'Display Slider? Top viewed Posts.', 'vloma-wp' ),
						"id" 		=> "vloma_wp_display_slider",
						"std" 		=> esc_html__( 'No', 'vloma-wp' ),
						"type" 		=> "select",
						"options" 	=> array(
										esc_html__( 'No', 'vloma-wp' ),
										esc_html__( 'Yes', 'vloma-wp' )
									),
					);

$of_options[] = array( 	"name" 		=> esc_html__( 'Header Banner 728x90', 'vloma-wp' ),
						"desc" 		=> "",
						"id" 		=> "introduction_14",
						"std" 		=> "<h3 style=\"margin: 0 0 10px;\">".esc_html__( 'Header Banner 728x90', 'vloma-wp' )."</h3>
						". esc_html__( 'AD Area displayed below the header.', 'vloma-wp' ) ."",
						"icon" 		=> true,
						"type" 		=> "info");

$of_options[] = array( 	"name" 		=> esc_html__( 'Display Header Banner?', 'vloma-wp' ),
						"desc" 		=> esc_html__( 'Display Header Banner 728x90?', 'vloma-wp' ),
						"id" 		=> "vloma_wp_display_banners",
						"std" 		=> esc_html__( 'No', 'vloma-wp' ),
						"type" 		=> "select",
						"options" 	=> array(
										esc_html__( 'No', 'vloma-wp' ),
										esc_html__( 'Yes', 'vloma-wp' )
									),
					);

$of_options[] = array( 	"name" 		=> esc_html__( 'Responsive 728x90 AD AREA.', 'vloma-wp' ),
						"desc" 		=> esc_html__( 'Paste your HTML or JavaScript code here. AD Area displayed below the header.', 'vloma-wp' ),
						"id" 		=> "vloma_wp_add728",
						"std" 		=> "<a href=\"#\"><img src=\"http://placehold.it/728x90\" width=\"728\" height=\"90\" alt=\"img\" /></a>",
						"type" 		=> "textarea");	

 
$of_options[] = array( 	"name" 		=> esc_html__( 'Advertisements and Related Articles', 'vloma-wp' ),
						"desc" 		=> "",
						"id" 		=> "introduction_siglepage",
						"std" 		=> "<h3 style=\"margin: 0 0 10px;\">". esc_html__('Advertisements and Related Articles', 'vloma-wp') ."</h3>
						<strong>". esc_html__('Advertisements and Related Articles', 'vloma-wp') ."</strong> ". esc_html__('- for article pages after the content.', 'vloma-wp') ."",
						"icon" 		=> true,
						"type" 		=> "info");


$of_options[] = array( 	"name" 		=> esc_html__( 'Display Advertisements and Related Articles?', 'vloma-wp' ),
						"desc" 		=> esc_html__( 'Display Advertisements and Related Articles?', 'vloma-wp' ),
						"id" 		=> "vloma_wp_display_add_relatedarticles",
						"std" 		=> esc_html__( 'No', 'vloma-wp' ),
						"type" 		=> "select",
						"options" 	=> array(
										esc_html__( 'No', 'vloma-wp' ),
										esc_html__( 'Yes', 'vloma-wp' )
									),
					);

$of_options[] = array( 	"name" 		=> esc_html__( '300x250 Advertisements.', 'vloma-wp' ),
						"desc" 		=> esc_html__( 'Paste your HTML or JavaScript code here. Advertisements displayed to the left in Related Articles section.', 'vloma-wp' ),
						"id" 		=> "vloma_wp_related_add300",
						"std" 		=> "
<a href=\"#\"><img src=\"http://placehold.it/300x250\" width=\"300\" height=\"250\" alt=\"img\" /></a>

<a href=\"#\"><img src=\"http://placehold.it/300x250\" width=\"300\" height=\"250\" alt=\"img\" /></a>",
						"type" 		=> "textarea");	


/*-----------------------------------------------------------------------------------*/
/* Style Settings */
/*-----------------------------------------------------------------------------------*/
$of_options[] = array( 	"name" 		=> esc_html__( 'Style Settings', 'vloma-wp' ),
						"type" 		=> "heading",
						"icon"		=> ADMIN_IMAGES . "icon-paint.png");


$of_options[] = array( 	"name" 		=> esc_html__( 'Style', 'vloma-wp' ),
						"desc" 		=> "",
						"id" 		=> "introduction_14",
						"std" 		=> "<h3 style=\"margin: 0 0 10px;\">".esc_html__( 'Style Settings', 'vloma-wp' )."</h3>
						". esc_html__( 'Use the color picker to change the main color of the site to match your brand color.', 'vloma-wp' ) ."",
						"icon" 		=> true,
						"type" 		=> "info");


$of_options[] = array( 	"name" 		=> esc_html__( 'Main Color (orange)', 'vloma-wp' ),
						"desc" 		=> esc_html__( 'Use the color picker to change the main color of the site to match your brand color.', 'vloma-wp' ),
						"id" 		=> "vloma_wp_main_color",
						"std" 		=> "#ebba16",
						"type" 		=> "color"
				);



				$of_options[] = array( 	"name" 		=> esc_html__( 'Posts / Header lines', 'vloma-wp' ),
										"desc" 		=> esc_html__( 'Use the color picker to change the color of the site to match your brand color.', 'vloma-wp' ),
										"id" 		=> "vloma_wp_color1",
										"std" 		=> "#1d9ce1",
										"type" 		=> "color"
								);
								
				$of_options[] = array( 	"name" 		=> "",
										"desc" 		=> esc_html__( 'Use the color picker to change the color of the site to match your brand color.', 'vloma-wp' ),
										"id" 		=> "vloma_wp_color2",
										"std" 		=> "#ebba16",
										"type" 		=> "color"
								);
								
				$of_options[] = array( 	"name" 		=> "",
										"desc" 		=> esc_html__( 'Use the color picker to change the color of the site to match your brand color.', 'vloma-wp' ),
										"id" 		=> "vloma_wp_color3",
										"std" 		=> "#7b5bbe",
										"type" 		=> "color"
								);
								
				$of_options[] = array( 	"name" 		=> "",
										"desc" 		=> esc_html__( 'Use the color picker to change the color of the site to match your brand color.', 'vloma-wp' ),
										"id" 		=> "vloma_wp_color4",
										"std" 		=> "#f15085",
										"type" 		=> "color"
								);


$of_options[] = array( 	"name" 		=> esc_html__( 'Sticky Post', 'vloma-wp' ),
						"desc" 		=> esc_html__( 'Use the color picker to change the color of the site to match your brand color.', 'vloma-wp' ),
						"id" 		=> "vloma_wp_sticky_color",
						"std" 		=> "#222222",
						"type" 		=> "color"
				);


$of_options[] = array( 	"name" 		=> esc_html__( 'Style', 'vloma-wp' ),
						"desc" 		=> "",
						"id" 		=> "introduction_11",
						"std" 		=> "<h3 style=\"margin: 0 0 10px;\">".esc_html__( 'Style Settings', 'vloma-wp' )."</h3>
						". esc_html__( 'Use the color picker to change the colors of the site to match your brand color.', 'vloma-wp' ) ."",
						"icon" 		=> true,
						"type" 		=> "info");

$of_options[] = array( 	"name" 		=> esc_html__( 'Header Background Color', 'vloma-wp' ),
						"desc" 		=> esc_html__( 'Use the color picker to change the color of the site to match your brand color.', 'vloma-wp' ),
						"id" 		=> "vloma_wp_header_bg",
						"std" 		=> "#222222",
						"type" 		=> "color"
				);

$of_options[] = array( 	"name" 		=> esc_html__( 'Footer Background Color', 'vloma-wp' ),
						"desc" 		=> esc_html__( 'Use the color picker to change the color of the site to match your brand color.', 'vloma-wp' ),
						"id" 		=> "vloma_wp_footer_bg",
						"std" 		=> "#000000",
						"type" 		=> "color"
				);


$of_options[] = array( 	"name" 		=> esc_html__( 'Entry Link Color', 'vloma-wp' ),
						"desc" 		=> esc_html__( 'Use the color picker to change the entry link color on article or default / full width pages.', 'vloma-wp' ),
						"id" 		=> "vloma_wp_entry_linkcolor",
						"std" 		=> "#ebba16",
						"type" 		=> "color"
				);


$of_options[] = array( 	"name" 		=> esc_html__( 'Custom CSS.', 'vloma-wp' ),
						"desc" 		=> "",
						"id" 		=> "introduction_customcss",
						"std" 		=> "<h3 style=\"margin: 0 0 10px;\">Custom CSS.</h3>
						". esc_html__( 'Enter your custom CSS code. It will be included in the head section of the page.', 'vloma-wp' ) ."",
						"icon" 		=> true,
						"type" 		=> "info");

$of_options[] = array( 	"name" 		=> esc_html__( 'Custom CSS.', 'vloma-wp' ),
						"desc" 		=> __( 'Enter your custom CSS code. It will be included in the head section of the page. Use the <b>!important</b> tag as well. <br /><br />Like this: <code>.logo { display: none !important; }</code> ', 'vloma-wp' ),
						"id" 		=> "vloma_wp_custom_css_style",
						"std" 		=> "",
						"type" 		=> "textarea");





/*-----------------------------------------------------------------------------------*/
/* Footer Settings */
/*-----------------------------------------------------------------------------------*/
$of_options[] = array( 	"name" 		=> esc_html__( 'Footer Settings', 'vloma-wp' ),
						"type" 		=> "heading",
						"icon"		=> ADMIN_IMAGES . "icon-settings.png");


$of_options[] = array( 	"name" 		=> esc_html__( 'Most used Categories', 'vloma-wp' ),
						"desc" 		=> "",
						"id" 		=> "introduction_add",
						"std" 		=> "<h3 style=\"margin: 0 0 10px;\">". esc_html__('Most used Categories', 'vloma-wp') ."</h3>
						<strong>". esc_html__('Top Categories', 'vloma-wp') ."</strong> ". esc_html__('- Most used Categories.', 'vloma-wp') ."",
						"icon" 		=> true,
						"type" 		=> "info");

$of_options[] = array( 	"name" 		=> esc_html__( 'Most used Categories.', 'vloma-wp' ),
						"desc" 		=> esc_html__( 'How many Categories you want to display.', 'vloma-wp' ),
						"id" 		=> "vloma_wp_footer_categories",
						"std" 		=> "14",
						"min"		=> "1",
						"max"		=> "100",						
						"type" 		=> "sliderui");
 


$of_options[] = array( 	"name" 		=> esc_html__( 'Copyright', 'vloma-wp' ),
						"desc" 		=> "",
						"id" 		=> "introduction_copy",
						"std" 		=> "<h3 style=\"margin: 0 0 10px;\">". esc_html__('Copyright.', 'vloma-wp') ."</h3>
						<strong>". esc_html__('Copyright', 'vloma-wp') ."</strong> ". esc_html__('- Footer Copyright.', 'vloma-wp') ."",
						"icon" 		=> true,
						"type" 		=> "info");


$of_options[] = array( 	"name" 		=> esc_html__( 'Copyright', 'vloma-wp' ),
						"desc" 		=> esc_html__( 'You can use HTML code.', 'vloma-wp' ),
						"id" 		=> "vloma_wp_copyright",
						"std" 		=> "The Vloma brings you all you need to know about everything that matters!<br> Copyright &copy; 2020 - Theme by <a target=\"_blank\" href=\"https://anthemes.com/\">Anthemes.com</a>",
						"type" 		=> "textarea");	
 

	}//End function: of_options()
}//End chack if function exists: of_options()
?>
