<?php
// ------------------------------------------------ 
// ---------- Options Framework Theme -------------
// ------------------------------------------------
 include( get_template_directory() . '/admin/index.php');

// ---------------------------------------------- 
// - Updates for Themes (Envato Market plugin.) -
// ---------------------------------------------- 
 include( get_template_directory() . '/functions/custom/github.php');

// ---------------------------------------------- 
// --------------- Load Custom Widgets ----------
// ----------------------------------------------
 include( get_template_directory() . '/functions/widgets.php');
 include( get_template_directory() . '/functions/widgets/widget-top-tags.php');
 include( get_template_directory() . '/functions/widgets/widget-latest-posts.php');
 include( get_template_directory() . '/functions/widgets/widget-cat-posts.php'); 
 include( get_template_directory() . '/functions/widgets/widget-top-posts.php');
 include( get_template_directory() . '/functions/widgets/widget-feedburner.php');
 include( get_template_directory() . '/functions/widgets/widget-banner.php');

// ----------------------------------------------
// --------------- Load Custom ------------------
// ---------------------------------------------- 
 include( get_template_directory() . '/functions/custom/comments.php');
  
// ----------------------------------------------
// ------ Content width -------------------------
// ----------------------------------------------
if ( ! isset( $content_width ) ) $content_width = 950;

// ----------------------------------------------
// ------ Theme set up --------------------------
// ----------------------------------------------
add_action( 'after_setup_theme', 'vloma_wp_theme_setup' );
if ( !function_exists('vloma_wp_theme_setup') ) {

    function vloma_wp_theme_setup() {
    
        // Register navigation menu
        register_nav_menus(
            array(
                'vloma_wp_primary-menu' => esc_html__( 'Header Navigation', 'vloma-wp' ),
                'vloma_wp_categories-menu' => esc_html__( 'Categories Navigation', 'vloma-wp' )
            )
        );
        
        // Localization support
        load_theme_textdomain( 'vloma-wp', get_template_directory() . '/languages' );
        
        // Feed Links
        add_theme_support( 'automatic-feed-links' );
        
        // Title Tag
        add_theme_support( 'title-tag' );

        // Post thumbnails
        add_theme_support( 'post-thumbnails' );
        add_image_size( 'vloma_wp_thumbnail-blog-grid', 236, 165, true ); // Blog thumbnails home full width
        add_image_size( 'vloma_wp_thumbnail-blog-featured', 600, 380, true ); // Blog thumbnails home featured posts
        add_image_size( 'vloma_wp_thumbnail-widget-small', 90, 90, true ); // Sidebar Widget thumbnails small
        add_image_size( 'vloma_wp_thumbnail-single-image', 950, '', true ); // Single thumbnails

    }
}

// ----------------------------------------------
// ------------ JavaScrips Files ----------------
// ----------------------------------------------
if( !function_exists( 'vloma_wp_enqueue_scripts' ) ) {
    function vloma_wp_enqueue_scripts() {

        // Register css files
        wp_enqueue_style( 'vloma_wp_style', get_stylesheet_uri(), '', '2.5');
        wp_enqueue_style( 'vloma_wp_default', get_template_directory_uri() . '/css/colors/default.css', array( 'vloma_wp_style' ), '2.5' );
        wp_enqueue_style( 'vloma_wp_responsive', get_template_directory_uri() . '/css/responsive.css', array( 'vloma_wp_style' ), '2.5' );
        wp_enqueue_style( 'font-awesome', get_template_directory_uri() . '/css/font-awesome-4.7.0/css/font-awesome.min.css', array(), '4.7.0' );
        wp_enqueue_style( 'icofont', get_template_directory_uri() . '/css/icofont/icofont.min.css', array(), '1.0.0' );
        wp_enqueue_style( 'jquery-owl-carousel', get_template_directory_uri() . '/owl-carousel/owl.carousel.css', array(), '2.0.0' );

        // Register scripts
        wp_enqueue_script( 'vloma_wp_customjs', get_template_directory_uri() . '/js/custom.js', array( 'jquery' ), '1.0', true );
        wp_enqueue_script( 'vloma_wp_mainfiles',  get_template_directory_uri() . '/js/jquery.main.js', array( 'jquery' ), '1.0', true );
        wp_enqueue_script( 'jquery-owl-carousel', get_template_directory_uri() . '/owl-carousel/owl.carousel.min.js', array( 'jquery' ), '2.0', true );
        $vloma_wp_js_custom = array( 'template_url' => get_template_directory_uri('template_url') ); wp_localize_script( 'vloma_wp_customjs', 'vloma_wp_js_custom', $vloma_wp_js_custom );

        // Load Comments & .js files.
        if( is_single() ) {
            wp_enqueue_style( 'jquery-fancybox', get_template_directory_uri() . '/fancybox/jquery.fancybox-1.3.4.css', array(), '1.34' );    
            wp_enqueue_script( 'jquery-fancybox', get_template_directory_uri() . '/fancybox/jquery.fancybox-1.3.4.pack.js', array( 'jquery' ), '1.34', true );
            wp_enqueue_script( 'comment-reply' );
         }

// ----------------------------------------------
// Register Fonts: https://gist.github.com/kailoon/e2dc2a04a8bd5034682c
// ----------------------------------------------
        function vloma_wp_fonts_url() {
            $vloma_wp_font_url_google = '';
            
            /*
            Translators: If there are characters in your language that are not supported
            by chosen font(s), translate this to 'off'. Do not translate into your own language.
             */
            if ( 'off' !== _x( 'on', 'Google font: on or off', 'vloma-wp' ) ) {
                $vloma_wp_font_url_google = add_query_arg( 'family', urlencode( 'Ruda:400,700|Baloo Bhaina|Open Sans Condensed:300,700' ), "//fonts.googleapis.com/css" );
            }
            return $vloma_wp_font_url_google;
        }
        /* -- Enqueue styles -- */
        wp_enqueue_style( 'vloma_wp_fonts', vloma_wp_fonts_url(), array(), '1.0.0' );
  

    }
    add_action('wp_enqueue_scripts', 'vloma_wp_enqueue_scripts');
}


// ----------------------------------------------
// ---------- excerpt length adjust -------------
// ----------------------------------------------
function vloma_wp_excerpt($str, $length, $minword = 3) {
    $sub = '';
    $len = 0;
    foreach (explode(' ', $str) as $word) {
        $part = (($sub != '') ? ' ' : '') . $word;
        $sub .= $part;
        $len += strlen($part);
        if (strlen($word) > $minword && strlen($sub) >= $length) { break; }
    }
    return $sub . (($len < strlen($str)) ? ' ..' : '');
}


// ------------------------------------------------ 
// --- Characters limit for title -----------------
// ------------------------------------------------ 
function vloma_wp_the_title($length, $replacer = ' ..') {
    $string = get_the_title();
    if( mb_strlen( $string ) > $length ) {
        $string = mb_substr( $string, 0, $length-3 );
        echo $string . $replacer;
    } else echo $string;
}


// ------------------------------------------------ 
// ------------ Notice ----------------------------
// ------------------------------------------------
function themes_admin_notice(){
    global $pagenow;
    if ( $pagenow == 'themes.php' ) {
         echo '<div class="notice notice-info is-dismissible" style="box-shadow: 0 1px 5px rgba(0,0,0,0.2); ">
             <p><a class="button" href="https://anthemes.com/" target="_blank">Anthemes.com</a> <a class="button activate" href="https://anthemes.com/wordpress-themes/" target="_blank">35+ WordPress Themes</a> <a class="button activate" href="https://anthemes.com/support/" target="_blank">Get Support</a> <a class="button activate" href="https://anthemes.com/pricing/" target="_blank">Free Installation</a></p>
         </div>';
    }
}
add_action('admin_notices', 'themes_admin_notice');


// ------------------------------------------------ 
// --- One Click Demo Import (Plugin) -------------
// ------------------------------------------------ 
function anthemes_wp_plugin_intro_text( $anthemes_wp_default_text ) {
    $anthemes_wp_default_text =  /* https://wordpress.org/plugins/one-click-demo-import/faq/ the inline style is added for the demo import plugin, that is displayed via Dashboard > Appearance. */ '<div class="ocdi__intro-text" style="width:355px;">'. esc_html__( 'Please click "Import Demo Data" button only once and wait, it can take a couple of minutes.', 'vloma-wp' ) .'</div>';?><br /><img style="width:400px; margin-bottom: 20px; border-radius: 4px;" src="<?php echo get_template_directory_uri(); ?>/screenshot.png" width="400" hieght="300" alt="img" /><br /> In the meantime, you check the <a href="https://anthemes.com/docs/vloma/" target="_blank">help file</a> or <a href="https://anthemes.com/support/" target="_blank">get support</a>.<?php
    return $anthemes_wp_default_text;
}
add_filter( 'pt-ocdi/plugin_intro_text', 'anthemes_wp_plugin_intro_text' );

function anthemes_wp_import_files() {
    return array(
        array(
            'import_file_name'             => esc_html__( 'Main Demo', 'vloma-wp' ),
            'local_import_file'            => trailingslashit( get_template_directory() ) . '/functions/demo/vloma-content.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . '/functions/demo/vloma-widgets.wie',
        ) 
    );
}
add_filter( 'pt-ocdi/import_files', 'anthemes_wp_import_files' );


// ------------------------------------------------ 
// ---------- TGM_Plugin_Activation ---------------
// ------------------------------------------------ 
 include( get_template_directory() . '/functions/custom/class-tgm-plugin-activation.php');
 add_action( 'tgmpa_register', 'vloma_wp_register_required_plugins' );

function vloma_wp_register_required_plugins() {

    $plugins = array(
         array(
            'name'                  => esc_html__( 'Shortcodes', 'vloma-wp' ), // The plugin name
            'slug'                  => 'anthemes-shortcodes', // The plugin slug (typically the folder name)
            'source'                => get_template_directory() . '/plugins/anthemes-shortcodes.zip', // The plugin source
            'required'              => false, // If false, the plugin is only 'recommended' instead of required
            'version'               => '1.2', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
            'force_activation'      => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
            'force_deactivation'    => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
            'external_url'          => '', // If set, overrides default API URL and points to an external URL
        ),

        array(
            'name'                  => esc_html__( 'Vloma WP Options', 'vloma-wp' ), // The plugin name
            'slug'                  => 'vloma-wp-options', // The plugin slug (typically the folder name)
            'source'                => get_template_directory() . '/plugins/vloma-wp-options.zip', // The plugin source
            'required'              => true, // If false, the plugin is only 'recommended' instead of required
            'version'               => '1.1', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
            'force_activation'      => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
            'force_deactivation'    => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
            'external_url'          => '', // If set, overrides default API URL and points to an external URL
        ),

        array(
            'name'                  => esc_html__( 'Meta Box', 'vloma-wp' ),
            'slug'                  => 'meta-box',
            'required'              => false,
            'version'               => '',
        ),

        array(
            'name'                  => esc_html__( 'Video Thumbnails', 'vloma-wp' ),
            'slug'                  => 'video-thumbnails',
            'required'              => false,
            'version'               => '',
        ),

        array(
            'name'                  => esc_html__( 'Daves WordPress Live Search', 'vloma-wp' ),
            'slug'                  => 'daves-wordpress-live-search',
            'required'              => false,
            'version'               => '',
        ),

        array(
            'name'                  => esc_html__( 'Multi-column Tag Map', 'vloma-wp' ),
            'slug'                  => 'multi-column-tag-map',
            'required'              => false,
            'version'               => '',
        ),

        array(
            'name'                  => esc_html__( 'AccessPress Anonymous Post', 'vloma-wp' ),
            'slug'                  => 'accesspress-anonymous-post',
            'required'              => false,
            'version'               => '',
        ),

        array(
            'name'                  => esc_html__( 'Responsive Menu', 'vloma-wp' ),
            'slug'                  => 'responsive-menu',
            'required'              => true,
            'version'               => '',
        ),
 
        array(
            'name'                  => esc_html__( 'WP-PageNavi', 'vloma-wp' ),
            'slug'                  => 'wp-pagenavi',
            'required'              => false,
            'version'               => '',
        ),

        array(
            'name'                  => esc_html__( 'One Click Demo Import', 'vloma-wp' ),
            'slug'                  => 'one-click-demo-import',
            'required'              => false,
            'version'               => '',
        ), 

    );

    $config = array(
        'id'           => 'tgmpa',                 // Unique ID for hashing notices for multiple instances of TGMPA.
        'default_path' => '',                      // Default absolute path to bundled plugins.
        'menu'         => 'tgmpa-install-plugins', // Menu slug.
        'parent_slug'  => 'themes.php',            // Parent menu slug.
        'capability'   => 'edit_theme_options',    // Capability needed to view plugin install page, should be a capability associated with the parent menu used.
        'has_notices'  => true,                    // Show admin notices or not.
        'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
        'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
        'is_automatic' => false,                   // Automatically activate plugins after installation or not.
        'message'      => '',                      // Message to output right before the plugins table.

    );

    tgmpa( $plugins, $config );

}

?>