<?php /**
 * Generate the CSS for the current custom color scheme.
 */
function vloma_wp_custom_colors_css() {

// Main Color (orange)
$vloma_wp_main_color = get_theme_mod('vloma_wp_main_color');
if (!empty($vloma_wp_main_color)) {
    // BG Color
    echo esc_html('.single-content h3.title, .categories-title, ul.featured-slider .content, .wp-pagenavi a:hover, .wp-pagenavi span.current, .wp-pagenavi span.current, .entry-btn, .my-paginated-posts span, #newsletter-form input.newsletter-btn, ul.article_list li div.post-nr, .comments h3.comment-reply-title, #commentform #submit, input.ap-form-submit-button, #back-top span { background-color: '. $vloma_wp_main_color .' !important;} ');

    // Color
    echo stripslashes('a:hover, .top-social li a i:hover, .jquerycssmenu ul li.current_page_item > a, .jquerycssmenu ul li.current-menu-ancestor > a, .jquerycssmenu ul li.current-menu-item > a, .jquerycssmenu ul li.current-menu-parent > a, .jquerycssmenu ul li ul li.current_page_item > a, .jquerycssmenu ul li ul li.current-menu-ancestor > a, .jquerycssmenu ul li ul li.current-menu-item > a, .jquerycssmenu ul li ul li.current-menu-parent > a, .jquerycssmenu ul li i, .jquerycssmenu ul li a:hover, .jquerycssmenu ul li ul li:hover a:hover, .jquerycssmenu ul.menu-categories li:hover a, .jquerycssmenu ul.menu-categories li i, div.feed-info i, .widget_anthemes_categories li, div.tagcloud span, .widget_archive li, .widget_meta li, #mcTagMap .tagindex h4, #sc_mcTagMap .tagindex h4 { color: '. $vloma_wp_main_color .' !important;} ');

    // Border bottom 2px
    echo esc_html('.single-related h3, .sidebar h3.title { border-bottom: 2px solid '. $vloma_wp_main_color .' !important;} ');

    // Border left 5px
    echo esc_html('blockquote { border-left: 5px solid '. $vloma_wp_main_color .' !important;} ');

    // Border bottom 5px
    echo esc_html('#mcTagMap .tagindex h4, #sc_mcTagMap .tagindex h4 { border-bottom: 5px solid '. $vloma_wp_main_color .' !important;} ');

    // Border bottom 1px
    echo esc_html('div.feed-info strong, .copyright a, ul.article_list li div.authorname a { border-bottom: 1px solid '. $vloma_wp_main_color .' !important;} ');

    // Border color
    echo esc_html('input.ap-form-submit-button { border-color: '. $vloma_wp_main_color .' !important;} ');    
}
// Posts / Header lines
$vloma_wp_color1 = get_theme_mod('vloma_wp_color1');
if (!empty($vloma_wp_color1)) {
    // Header BG Color
    echo esc_html('ul.top-bar li:nth-last-child(2), ul.top-bar li:nth-last-child(6), ul.top-bar li:nth-last-child(10), ul.grid_list li:nth-last-child(2), ul.grid_list li:nth-last-child(6), ul.grid_list li:nth-last-child(10), ul.grid_list li:nth-last-child(14), ul.grid_list li:nth-last-child(18), ul.grid_list li:nth-last-child(22) { background-color: '. $vloma_wp_color1 .' !important;} ');
}
// Posts / Header lines
$vloma_wp_color2 = get_theme_mod('vloma_wp_color2');
if (!empty($vloma_wp_color2)) {
    // Header BG Color
    echo esc_html('ul.top-bar li:nth-last-child(3), ul.top-bar li:nth-last-child(7), ul.grid_list li, ul.grid_list li:nth-last-child(1), ul.grid_list li:nth-last-child(5), ul.grid_list li:nth-last-child(9), ul.grid_list li:nth-last-child(13), ul.grid_list li:nth-last-child(17), ul.grid_list li:nth-last-child(21), ul.grid_list li:nth-last-child(25) { background-color: '. $vloma_wp_color2 .' !important;} ');
}
// Posts / Header lines
$vloma_wp_color3 = get_theme_mod('vloma_wp_color3');
if (!empty($vloma_wp_color3)) {
    // Header BG Color
    echo esc_html('ul.top-bar li:nth-last-child(4), ul.top-bar li:nth-last-child(8), ul.grid_list li:nth-last-child(4), ul.grid_list li:nth-last-child(8), ul.grid_list li:nth-last-child(12), ul.grid_list li:nth-last-child(16), ul.grid_list li:nth-last-child(20), ul.grid_list li:nth-last-child(24) { background-color: '. $vloma_wp_color3 .' !important;} ');
}
// Posts / Header lines
$vloma_wp_color4 = get_theme_mod('vloma_wp_color4');
if (!empty($vloma_wp_color4)) {
    // Header BG Color
    echo esc_html('ul.grid_list li:nth-last-child(3), ul.grid_list li:nth-last-child(7), ul.grid_list li:nth-last-child(11), ul.grid_list li:nth-last-child(15), ul.grid_list li:nth-last-child(19), ul.grid_list li:nth-last-child(23), ul.top-bar li:nth-last-child(5), ul.top-bar li:nth-last-child(9), ul.top-bar { background-color: '. $vloma_wp_color4 .' !important;} ');
}
// Header Background Color
$vloma_wp_sticky_color = get_theme_mod('vloma_wp_sticky_color');
if (!empty($vloma_wp_sticky_color)) {
    // Header BG Color
    echo esc_html('ul.grid_list li.sticky { background-color: '. $vloma_wp_sticky_color .' !important;} ');
}
// Header Background Color
$vloma_wp_header_bg = get_theme_mod('vloma_wp_header_bg');
if (!empty($vloma_wp_header_bg)) {
    // Header BG Color
    echo esc_html('header, .sticky { background-color: '. $vloma_wp_header_bg .' !important;} ');
}
// Footer Background Color
$vloma_wp_footer_bg = get_theme_mod('vloma_wp_footer_bg');
if (!empty($vloma_wp_footer_bg)) {
    // Footer BG Color
    echo esc_html('footer { background-color: '. $vloma_wp_footer_bg .' !important;} ');
}
// Entry Link Color
$vloma_wp_entry_linkcolor = get_theme_mod('vloma_wp_entry_linkcolor');
if (!empty($vloma_wp_entry_linkcolor)) {
    // Entry Link Color
    echo esc_html('.entry p a { color: '. $vloma_wp_entry_linkcolor .' !important;} ');
}
 // Custom Style CSS.
$vloma_wp_custom_css_style = get_theme_mod('vloma_wp_custom_css_style');
if (!empty($vloma_wp_custom_css_style)) { 
    echo stripslashes($vloma_wp_custom_css_style); 
}

} ?>