<?php get_header(); // add header  ?>

<!-- Begin Wrap Content -->
<div class="wrap-fullwidth">

    <!-- Begin Main Home Content -->
    <div class="wrap-content">        
        <?php if (is_category()) { ?> 
            <h3 class="index-title"><?php esc_html_e( 'All posts in:', 'vloma-wp' ); ?> <?php single_cat_title(''); ?></h3>
        <?php } elseif (is_tag()) { ?>
            <h3 class="index-title"><?php esc_html_e( 'All posts tagged in:', 'vloma-wp' ); ?> <?php single_tag_title(''); ?></h3>
        <?php } elseif (is_search()) { ?>
            <h3 class="index-title"><?php printf( esc_html__( 'Search Results for: %s', 'vloma-wp' ), '' . get_search_query() . '' ); ?></h3>
        <?php } elseif (is_author()) { ?> 
            <h3 class="index-title"><?php esc_html_e( 'All posts by:', 'vloma-wp' ); ?> <?php the_author(); ?></h3>
        <?php } ?><div class="clear"></div>


        <ul id="infinite-articles" class="grid_list js-masonry">
        <?php if (have_posts()) : while (have_posts()) : the_post(); ?>

            <li <?php post_class('ex34') ?> id="post-<?php the_ID(); ?>">

                <?php if ( has_post_thumbnail()) { ?>        
                    <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail('vloma_wp_thumbnail-blog-grid', array('title' => "")); ?></a>
                    <div class="avatar-grid"><a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>"><?php echo get_avatar( get_the_author_meta( 'user_email' ), 30 ); ?></a></div><div class="clear"></div>
                <div class="content-grid">
                <?php } else { ?>
                <div class="content-grid margin-top">
                    <div class="avatar-grid"><a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>"><?php echo get_avatar( get_the_author_meta( 'user_email' ), 30 ); ?></a></div><div class="clear"></div>
                <?php } // Post Thumbnail ?> 
                    <a href="<?php the_permalink(); ?>"><h3><?php vloma_wp_the_title( 55, ' ..'); ?></h3></a>
                    <div class="clear"></div>
                    <span><?php esc_html_e('Posted on', 'vloma-wp'); ?> <?php the_time('M j, Y'); ?></span>
                    <?php if ( function_exists( 'vloma_wp_play_circle' ) ) {  vloma_wp_play_circle(); } ?>                
                </div><!-- end .content-grid -->
            </li> 

        <?php endwhile; ?>
        </ul>  

        <!-- Pagination -->
        <?php if(function_exists('wp_pagenavi')) { ?>
            <?php wp_pagenavi(); ?>
            <?php } else { ?>
            <div class="defaultpag">
                    <div class="sright"><?php next_posts_link('' . esc_html__('Older Entries', 'vloma-wp') . ' &rsaquo;'); ?></div>
                    <div class="sleft"><?php previous_posts_link('&lsaquo; ' . esc_html__('Newer Entries', 'vloma-wp') . ''); ?></div>
            </div><!-- end .defaultpag -->
        <?php } // Default Pagination ?>
        <!-- pagination -->

        <?php else : ?> 

            <div class="not-found">
                <p><?php esc_html_e('Not Found. Sorry, but you are looking for something that isn\'t here.', 'vloma-wp'); ?></p>
            </div>
            <div class="clear"></div> 

        <?php endif; ?>
    </div><!-- end .wrap-content -->


    <!-- Begin Sidebar 1 (default right) -->
    <?php get_sidebar(); // add sidebar ?>
    <!-- end #sidebar 1 (default right) --> 

        
<div class="clear"></div>
</div><!-- end .wrap-fullwidth -->

<?php get_footer(); // add footer  ?>