<!DOCTYPE HTML>
<html <?php language_attributes(); ?>>
<head>
<?php
    // Logo
    $vloma_wp_logo = get_theme_mod('vloma_wp_logo');
    if (empty($vloma_wp_logo)) { $vloma_wp_logo = get_template_directory_uri().'/images/logo.png'; }

    // Social icons
    $vloma_wp_top_social_icons = get_theme_mod('vloma_wp_top_social_icons'); 

    // Display slider (Yes/No)
    $vloma_wp_display_slider = get_theme_mod('vloma_wp_display_slider');
    if (empty($vloma_wp_display_slider)) { $vloma_wp_display_slider = 'No'; }

    // AD Area
    $vloma_wp_add728 = get_theme_mod('vloma_wp_add728');

    // Display Banners (Yes/No)
    $vloma_wp_display_banners = get_theme_mod('vloma_wp_display_banners');
    if (empty($vloma_wp_display_banners)) { $vloma_wp_display_banners = 'No'; }          
?>
    <!-- Meta Tags -->
    <meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />

    <!-- Mobile Device Meta -->
    <meta name="viewport" content="width=device-width, initial-scale=1"> 

    <!-- Theme output -->
    <?php wp_head(); ?> 
 

</head>
<body <?php body_class(); ?>>


<!-- Begin Header -->
<header>
        <!-- Top bar colors -->
        <ul class="top-bar"><li></li><li></li><li></li><li></li><li></li><li></li><li></li><li></li><li></li><li></li></ul> 
        <div class="main-header">
            <!-- Logo -->  
            <a href="<?php echo esc_url(home_url( '/' )); ?>"><img class="logo" src="<?php echo esc_url($vloma_wp_logo); ?>" alt="<?php esc_attr(bloginfo('sitename')); ?>" /></a>

            <!-- search form get_search_form(); -->
            <?php get_search_form(); ?>

            <ul class="top-social">
                <?php if (!empty($vloma_wp_top_social_icons)) { ?><?php echo wp_kses_post(stripslashes($vloma_wp_top_social_icons)); ?><?php } ?>
            </ul>  

            <!-- Navigation Menu -->
            <?php if ( has_nav_menu( 'vloma_wp_primary-menu' ) ) : // Check if there's a menu assigned to the 'Header Navigation' location. ?>
                <nav id="myjquerymenu" class="jquerycssmenu">
                    <?php wp_nav_menu( array( 'container' => false, 'items_wrap' => '<ul>%3$s</ul>', 'theme_location' =>   'vloma_wp_primary-menu' ) ); ?>
                </nav>
            <?php endif; // End check for menu. ?>
            <div class="clear"></div>
        </div><!-- end .main-header -->
</header><!-- end #header -->
 

<?php if ($vloma_wp_display_slider == 'Yes') { ?>
<?php if ( is_front_page() ) { ?>
<!-- Begin Featured Articles -->
<div id="featured-slider-wrap">
    <ul class="featured-slider">

    <?php $vloma_wp_top_views_slider = new WP_Query( array( 'post_type' => 'post', 'meta_key' => 'post_views_count_vloma_wp', 'ignore_sticky_posts' => esc_attr(1), 'orderby' => 'meta_value_num', 'order' => 'DESC', 'posts_per_page' => esc_attr(8) ) );  ?> 
    <?php while ($vloma_wp_top_views_slider->have_posts()) : $vloma_wp_top_views_slider->the_post(); ?> 

    <li class="item">
        <?php if ( has_post_thumbnail()) { ?>        
            <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail('vloma_wp_thumbnail-blog-featured'); ?></a>
        <?php } else { ?>
            <a href="<?php the_permalink(); ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/featured-img.png" alt="article image" /></a>
        <?php } ?>  
        <div class="clear"></div>          
        <div class="content">
            <a href="<?php the_permalink(); ?>"><h3><?php vloma_wp_the_title( 50, ' ..'); ?></h3></a>
            <span><?php esc_html_e('Posted on', 'vloma-wp'); ?> <?php the_time('M j, Y'); ?></span>
            <?php if ( function_exists( 'vloma_wp_play_circle' ) ) {  vloma_wp_play_circle(); } ?>
        </div><!-- end .content -->
    </li><!-- end .item -->

    <?php endwhile; 
    /* Restore original Post Data */
    wp_reset_postdata(); ?>

    </ul><!-- end #featured-slider -->
</div><!-- end #featured-slider-wrap -->
<?php } } ?>


<?php if ( has_nav_menu( 'vloma_wp_categories-menu' ) ) { // Check if there's a menu assigned to the 'Categories Navigation' location. ?>
    <div class="sub-header">
        <div class="categories-title">
            <h3><?php esc_html_e( 'Categories', 'vloma-wp' ); ?></h3>
        </div><!-- end .categories-title -->
        <div class="categories-section">
                    <nav class="jquerycssmenu">
                        <?php wp_nav_menu( array( 'container' => false, 'items_wrap' => '<ul class="menu-categories">%3$s</ul>', 'theme_location' =>   'vloma_wp_categories-menu' ) ); ?>
                    </nav>
        </div><!-- end .categories-section -->
    </div><!-- end .sub-header -->
<?php } // End check for menu. ?>

<?php if ($vloma_wp_display_banners == 'Yes') { ?>
    <?php if (!empty($vloma_wp_add728)) { ?>
       <div class="homeadv"><?php echo stripslashes($vloma_wp_add728); ?></div> 
<?php } } ?> 